Bug 830214 - Seam: TAG-16 Remoting GWT example
Seam: TAG-16 Remoting GWT example
Status: CLOSED DEFERRED
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Examples, Seam (Show other bugs)
2.0.0.ER7
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Marek Novotny
Karel Piwko
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 10:45 EDT by Karel Piwko
Modified: 2012-06-22 04:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
BZ-830202 and BZ-830214 The Groovybooking example in Seam 2.3 requires an additonal Maven plugin for integration with JBoss Developer Studio, which is not installed by default. This leads to plugin errors, which can be worked around by following the import wizard instructions to install build-helper-maven-plugin and gmaven-plugin. The example will run regardless of these errors, however.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 04:18:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Piwko 2012-06-08 10:45:25 EDT
Following errors happen in remoting-gwt example when imported to JBDS (ignoring missing Maven artifacts):


Description	Resource	Path	Location	Type
Plugin execution not covered by lifecycle configuration: org.codehaus.mojo:gwt-maven-plugin:1.2:compile (execution: default, phase: process-classes)	pom.xml	/gwt-ejb	line 30	Maven Project Build Lifecycle Mapping Problem
Plugin execution not covered by lifecycle configuration: org.codehaus.mojo:gwt-maven-plugin:1.2:resources (execution: default, phase: process-resources)	pom.xml	/gwt-ejb	line 30	Maven Project Build Lifecycle Mapping Problem
Comment 1 Marek Novotny 2012-06-15 07:13:37 EDT
This is the same cause as in https://bugzilla.redhat.com/show_bug.cgi?id=830202
Comment 3 Rebecca Newton 2012-06-18 01:47:48 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
BZ-830202 and BZ-830214 The Groovybooking example in Seam 2.3 requires an additonal Maven plugin for integration with JBoss Developer Studio, which is not installed by default. This leads to plugin errors, which can be worked around by following the import wizard instructions to install build-helper-maven-plugin and gmaven-plugin. The example will run regardless of these errors, however.

Note You need to log in before you can comment on or make changes to this bug.